<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования макетов.
 * 
 * Файл: /admin/templates/templates/action/add_template.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$param = array();

// Проверяем существует ли идентификатор.
if (to_int($_POST['templates_id']) > 0)
{
	$param['templates_id'] = to_int($_POST['templates_id']);
}

$param['templates_group_id'] = to_int($_POST['templates_parent_group_id']);
$param['templates_name'] = to_str($_POST['templates_name']);
$param['templates_order'] = to_int($_POST['templates_order']);
$param['template'] = trim(StripInvalidXml(to_str($_POST['templates_value'])));
$param['css'] = to_str($_POST['css_value']);
$param['site_id'] = to_int($_REQUEST['site_id']);

// Если сайт изменен и родительский каталог не равен 0, то кидаем элемент в корень целевого сайта
if ($param['site_id'] != CURRENT_SITE && $param['templates_group_id'] != 0) 
{
	$param['templates_group_id'] = 0;
}

if ($insert_template_id = $templates->InsertTemplate($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddTemplate', 'templates_id', '<?php echo $insert_template_id?>');
	</script><?php
	
	if ($_POST['templates_id'])
	{
		show_message($GLOBALS['MSG_templates']['templates_edit_success']);
	}
	else 
	{
		show_message($GLOBALS['MSG_templates']['templates_add_success']);
	}
}
else // Ошибка при добавлении/редактировании макета
{
	// Ошибка при редактировании макета
	if ($_POST['templates_id'])
	{
		show_error_message($GLOBALS['MSG_templates']['templates_edit_error']);
	}
	else // Ошибка при добавлении макета
	{
		show_error_message($GLOBALS['MSG_templates']['templates_add_error']);
	}	
}
?>